module.exports = {
  formJson: {
    _id: "67780114abcd1234ef567890",
    title: "Omni Form",
    name: "omniForm",
    path: "omniForm",
    type: "form",
    access: [],
    submissionAccess: [],
    components: [
      {
        label: "Text Field",
        applyMaskOn: "change",
        tableView: true,
        validateWhenHidden: false,
        key: "textField",
        type: "textfield",
        input: true,
      },
      {
        label: "Text Area",
        applyMaskOn: "change",
        autoExpand: false,
        tableView: true,
        validateWhenHidden: false,
        key: "textArea",
        type: "textarea",
        input: true,
      },
      {
        label: "Number",
        applyMaskOn: "change",
        mask: false,
        tableView: false,
        delimiter: false,
        requireDecimal: false,
        inputFormat: "plain",
        truncateMultipleSpaces: false,
        validateWhenHidden: false,
        key: "number",
        type: "number",
        input: true,
      },
      {
        label: "Checkbox",
        tableView: false,
        validateWhenHidden: false,
        key: "checkbox",
        type: "checkbox",
        input: true,
      },
      {
        label: "Select Boxes",
        optionsLabelPosition: "right",
        tableView: false,
        values: [
          {
            label: "hi",
            value: "hi",
            shortcut: "",
          },
          {
            label: "ho",
            value: "ho",
            shortcut: "",
          },
          {
            label: "hum",
            value: "hum",
            shortcut: "",
          },
        ],
        validateWhenHidden: false,
        key: "selectBoxes",
        type: "selectboxes",
        input: true,
        inputType: "checkbox",
        defaultValue: {
          hi: false,
          ho: false,
          hum: false,
        },
      },
      {
        label: "Select",
        widget: "choicesjs",
        tableView: true,
        data: {
          values: [
            {
              label: "vun",
              value: "vun",
            },
            {
              label: "too",
              value: "too",
            },
            {
              label: "tree",
              value: "tree",
            },
          ],
        },
        validateWhenHidden: false,
        key: "select",
        type: "select",
        input: true,
      },
      {
        label: "Radio",
        optionsLabelPosition: "right",
        inline: false,
        tableView: false,
        values: [
          {
            label: "four",
            value: "four",
            shortcut: "",
          },
          {
            label: "five",
            value: "five",
            shortcut: "",
          },
          {
            label: "six",
            value: "six",
            shortcut: "",
          },
        ],
        validateWhenHidden: false,
        key: "radio",
        type: "radio",
        input: true,
      },
      {
        label: "Email",
        applyMaskOn: "change",
        tableView: true,
        validateWhenHidden: false,
        key: "email",
        type: "email",
        input: true,
      },
      {
        label: "Url",
        applyMaskOn: "change",
        tableView: true,
        validateWhenHidden: false,
        key: "url",
        type: "url",
        input: true,
      },
      {
        label: "Phone Number",
        applyMaskOn: "change",
        tableView: true,
        validateWhenHidden: false,
        key: "phoneNumber",
        type: "phoneNumber",
        input: true,
      },
      {
        label: "Tags",
        tableView: false,
        validateWhenHidden: false,
        key: "tags",
        type: "tags",
        input: true,
      },
      {
        label: "Address",
        tableView: false,
        provider: "nominatim",
        validateWhenHidden: false,
        key: "address",
        type: "address",
        providerOptions: {
          params: {
            autocompleteOptions: {},
          },
        },
        input: true,
        components: [
          {
            label: "Address 1",
            tableView: false,
            key: "address1",
            type: "textfield",
            input: true,
            customConditional:
              "show = _.get(instance, 'parent.manualMode', false);",
          },
          {
            label: "Address 2",
            tableView: false,
            key: "address2",
            type: "textfield",
            input: true,
            customConditional:
              "show = _.get(instance, 'parent.manualMode', false);",
          },
          {
            label: "City",
            tableView: false,
            key: "city",
            type: "textfield",
            input: true,
            customConditional:
              "show = _.get(instance, 'parent.manualMode', false);",
          },
          {
            label: "State",
            tableView: false,
            key: "state",
            type: "textfield",
            input: true,
            customConditional:
              "show = _.get(instance, 'parent.manualMode', false);",
          },
          {
            label: "Country",
            tableView: false,
            key: "country",
            type: "textfield",
            input: true,
            customConditional:
              "show = _.get(instance, 'parent.manualMode', false);",
          },
          {
            label: "Zip Code",
            tableView: false,
            key: "zip",
            type: "textfield",
            input: true,
            customConditional:
              "show = _.get(instance, 'parent.manualMode', false);",
          },
        ],
      },
      {
        label: "Date / Time",
        displayInTimezone: "utc",
        tableView: false,
        datePicker: {
          disableWeekends: false,
          disableWeekdays: false,
        },
        enableMinDateInput: false,
        enableMaxDateInput: false,
        validateWhenHidden: false,
        key: "dateTime",
        type: "datetime",
        input: true,
        widget: {
          type: "calendar",
          displayInTimezone: "utc",
          locale: "en",
          useLocaleSettings: false,
          allowInput: true,
          mode: "single",
          enableTime: true,
          noCalendar: false,
          format: "yyyy-MM-dd hh:mm a",
          hourIncrement: 1,
          minuteIncrement: 1,
          time_24hr: false,
          minDate: null,
          disableWeekends: false,
          disableWeekdays: false,
          maxDate: null,
        },
      },
      {
        label: "Day",
        hideInputLabels: false,
        inputsLabelPosition: "top",
        useLocaleSettings: false,
        tableView: false,
        fields: {
          day: {
            hide: false,
          },
          month: {
            hide: false,
          },
          year: {
            hide: false,
          },
        },
        validateWhenHidden: false,
        key: "day",
        type: "day",
        input: true,
      },
      {
        label: "Time",
        tableView: true,
        validateWhenHidden: false,
        key: "time",
        type: "time",
        input: true,
        inputMask: "99:99",
      },
      {
        label: "Currency",
        applyMaskOn: "change",
        mask: false,
        tableView: false,
        currency: "USD",
        inputFormat: "plain",
        truncateMultipleSpaces: false,
        validateWhenHidden: false,
        key: "currency",
        type: "currency",
        input: true,
        delimiter: true,
      },
      {
        label: "Survey",
        tableView: false,
        questions: [
          {
            label: "do you like fish?",
            value: "doYouLikeFish",
            tooltip: "",
          },
          {
            label: "do you like bison?",
            value: "doYouLikeBison",
            tooltip: "",
          },
          {
            label: "do you like french toast?",
            value: "doYouLikeFrenchToast",
            tooltip: "",
          },
        ],
        values: [
          {
            label: "yes",
            value: "yes",
            tooltip: "",
          },
          {
            label: "no",
            value: "no",
            tooltip: "",
          },
          {
            label: "meh",
            value: "meh",
            tooltip: "",
          },
        ],
        validateWhenHidden: false,
        key: "survey",
        type: "survey",
        input: true,
      },
    ],
  },
  submissionJson: {
    noValidate: true,
    data: {
      textField: "textFieldString",
      textArea: "textAreaString",
      checkbox: true,
      selectBoxes: {
        hi: false,
        ho: true,
        hum: false,
      },
      select: "two",
      radio: "five",
      email: "blake2@form.io",
      url: "https://google.com",
      phoneNumber: "(111) 111-1111",
      tags: "4,5,6",
      address: {
        place_id: 370106386,
        licence:
          "Data © OpenStreetMap contributors, ODbL 1.0. http://osm.org/copyright",
        osm_type: "way",
        osm_id: 51865931,
        lat: "39.19940736808009",
        lon: "-86.0351926189878",
        class: "place",
        type: "house",
        place_rank: 30,
        importance: 0.00000999999999995449,
        addresstype: "place",
        name: "",
        display_name:
          "10431, West Old Nashville Road, Bartholomew County, Indiana, 47201, United States",
        address: {
          house_number: "10431",
          road: "West Old Nashville Road",
          county: "Bartholomew County",
          state: "Indiana",
          "ISO3166-2-lvl4": "US-IN",
          postcode: "47201",
          country: "United States",
          country_code: "us",
        },
        boundingbox: ["39.1993574", "39.1994574", "-86.0352426", "-86.0351426"],
      },
      dateTime: "2025-04-01T12:00:00-05:00",
      day: "01/01/2024",
      time: "01:23:00",
      survey: {
        doYouLikeFish: "yes",
        doYouLikeBison: "yes",
        doYouLikeFrenchToast: "yes",
      },
      submit: true,
      number: 1,
      currency: 234.2,
    },
    state: "submitted",
  },
};
