module.exports = {
  formJson: {
    _id: "67780114abcd1234ef567890",
    title: "Components with Multiples Form",
    name: "multiplesForm",
    path: "multiplesForm",
    type: "form",
    access: [],
    submissionAccess: [],
    components: [
      {
        label: "Text Field",
        applyMaskOn: "change",
        tableView: true,
        multiple: true,
        validateWhenHidden: false,
        key: "textField",
        type: "textfield",
        input: true,
        defaultValue: [""],
      },
      {
        label: "Text Area",
        applyMaskOn: "change",
        autoExpand: false,
        tableView: true,
        multiple: true,
        validateWhenHidden: false,
        key: "textArea",
        type: "textarea",
        input: true,
        defaultValue: [""],
      },
      {
        label: "Number",
        applyMaskOn: "change",
        mask: false,
        tableView: false,
        multiple: true,
        delimiter: false,
        requireDecimal: false,
        inputFormat: "plain",
        truncateMultipleSpaces: false,
        validateWhenHidden: false,
        key: "number",
        type: "number",
        input: true,
        defaultValue: [null],
      },
      {
        label: "Email",
        applyMaskOn: "change",
        tableView: true,
        multiple: true,
        validateWhenHidden: false,
        key: "email",
        type: "email",
        input: true,
        defaultValue: [""],
      },
      {
        label: "Url",
        applyMaskOn: "change",
        tableView: true,
        multiple: true,
        validateWhenHidden: false,
        key: "url",
        type: "url",
        input: true,
        defaultValue: [""],
      },
      {
        label: "Phone Number",
        applyMaskOn: "change",
        tableView: true,
        multiple: true,
        validateWhenHidden: false,
        key: "phoneNumber",
        type: "phoneNumber",
        input: true,
        defaultValue: [""],
      },
      {
        label: "Address",
        tableView: false,
        multiple: true,
        provider: "nominatim",
        validateWhenHidden: false,
        key: "address",
        type: "address",
        providerOptions: {
          params: {
            autocompleteOptions: {},
          },
        },
        input: true,
        components: [
          {
            label: "Address 1",
            tableView: false,
            key: "address1",
            type: "textfield",
            input: true,
            customConditional:
              "show = _.get(instance, 'parent.manualMode', false);",
          },
          {
            label: "Address 2",
            tableView: false,
            key: "address2",
            type: "textfield",
            input: true,
            customConditional:
              "show = _.get(instance, 'parent.manualMode', false);",
          },
          {
            label: "City",
            tableView: false,
            key: "city",
            type: "textfield",
            input: true,
            customConditional:
              "show = _.get(instance, 'parent.manualMode', false);",
          },
          {
            label: "State",
            tableView: false,
            key: "state",
            type: "textfield",
            input: true,
            customConditional:
              "show = _.get(instance, 'parent.manualMode', false);",
          },
          {
            label: "Country",
            tableView: false,
            key: "country",
            type: "textfield",
            input: true,
            customConditional:
              "show = _.get(instance, 'parent.manualMode', false);",
          },
          {
            label: "Zip Code",
            tableView: false,
            key: "zip",
            type: "textfield",
            input: true,
            customConditional:
              "show = _.get(instance, 'parent.manualMode', false);",
          },
        ],
        defaultValue: [null],
      },
      {
        label: "Date / Time",
        displayInTimezone: "utc",
        multiple: true,
        defaultValue: [""],
        tableView: false,
        datePicker: {
          disableWeekends: false,
          disableWeekdays: false,
        },
        enableMinDateInput: false,
        enableMaxDateInput: false,
        validateWhenHidden: false,
        key: "dateTime",
        type: "datetime",
        input: true,
        widget: {
          type: "calendar",
          displayInTimezone: "utc",
          locale: "en",
          useLocaleSettings: false,
          allowInput: true,
          mode: "single",
          enableTime: true,
          noCalendar: false,
          format: "yyyy-MM-dd hh:mm a",
          hourIncrement: 1,
          minuteIncrement: 1,
          time_24hr: false,
          minDate: null,
          disableWeekends: false,
          disableWeekdays: false,
          maxDate: null,
        },
      },
      {
        label: "Time",
        tableView: true,
        multiple: true,
        validateWhenHidden: false,
        key: "time",
        type: "time",
        input: true,
        inputMask: "99:99",
        defaultValue: [""],
      },
      {
        label: "Currency",
        applyMaskOn: "change",
        mask: false,
        tableView: false,
        multiple: true,
        currency: "USD",
        inputFormat: "plain",
        truncateMultipleSpaces: false,
        validateWhenHidden: false,
        key: "currency",
        type: "currency",
        input: true,
        delimiter: true,
        defaultValue: [null],
      },
    ],
  },
  submissionJson: {
    noValidate: true,
    data: {
      textField: [
        "Commodi veritatis ab",
        "Irure consequatur c",
        "Exercitation sint n",
      ],
      textArea: [
        "Eu neque debitis dis",
        "Qui et expedita nost",
        "Consectetur nisi su",
      ],
      number: [679, 728, 561],
      email: [
        "jyhivigi@mailinator.com",
        "camy@mailinator.com",
        "seduxaqe@mailinator.com",
      ],
      url: ["https://google.com", "https://google1.com", "https://google2.com"],
      phoneNumber: ["(175) 358-2292", "(194) 335-4830", "(160) 719-9441"],
      address: [
        {
          place_id: 370106386,
          licence:
            "Data © OpenStreetMap contributors, ODbL 1.0. http://osm.org/copyright",
          osm_type: "way",
          osm_id: 51865931,
          lat: "39.19940736808009",
          lon: "-86.0351926189878",
          class: "place",
          type: "house",
          place_rank: 30,
          importance: 0.00000999999999995449,
          addresstype: "place",
          name: "",
          display_name:
            "10431, West Old Nashville Road, Bartholomew County, Indiana, 47201, United States",
          address: {
            house_number: "10431",
            road: "West Old Nashville Road",
            county: "Bartholomew County",
            state: "Indiana",
            "ISO3166-2-lvl4": "US-IN",
            postcode: "47201",
            country: "United States",
            country_code: "us",
          },
          boundingbox: [
            "39.1993574",
            "39.1994574",
            "-86.0352426",
            "-86.0351426",
          ],
        },
        {
          place_id: 370046674,
          licence:
            "Data © OpenStreetMap contributors, ODbL 1.0. http://osm.org/copyright",
          osm_type: "way",
          osm_id: 13660840,
          lat: "33.34351022987057",
          lon: "-88.33511245690286",
          class: "place",
          type: "house",
          place_rank: 30,
          importance: 0.00000999999999995449,
          addresstype: "place",
          name: "",
          display_name:
            "10432, Nashville Ferry Road East, Lowndes County, Mississippi, 39702, United States",
          address: {
            house_number: "10432",
            road: "Nashville Ferry Road East",
            county: "Lowndes County",
            state: "Mississippi",
            "ISO3166-2-lvl4": "US-MS",
            postcode: "39702",
            country: "United States",
            country_code: "us",
          },
          boundingbox: [
            "33.3434602",
            "33.3435602",
            "-88.3351625",
            "-88.3350625",
          ],
        },
        {
          place_id: 383968719,
          licence:
            "Data © OpenStreetMap contributors, ODbL 1.0. http://osm.org/copyright",
          osm_type: "way",
          osm_id: 16376829,
          lat: "36.86655250868832",
          lon: "-86.53265550851599",
          class: "place",
          type: "house",
          place_rank: 30,
          importance: 0.00000999999999995449,
          addresstype: "place",
          name: "",
          display_name:
            "10435, Nashville Road, Woodburn, Warren County, Kentucky, 42101, United States",
          address: {
            house_number: "10435",
            road: "Nashville Road",
            village: "Woodburn",
            county: "Warren County",
            state: "Kentucky",
            "ISO3166-2-lvl4": "US-KY",
            postcode: "42101",
            country: "United States",
            country_code: "us",
          },
          boundingbox: [
            "36.8665025",
            "36.8666025",
            "-86.5327055",
            "-86.5326055",
          ],
        },
      ],
      dateTime: [
        "2025-04-02T19:56:00-05:00",
        "2025-04-02T12:00:00-05:00",
        "2025-04-11T12:00:00-05:00",
      ],
      time: ["08:27:00", "12:27:00", "07:47:00"],
      currency: [938, 953, 286],
      submit: true,
    },
    state: "submitted",
  },
};
