module.exports = {
  components: [
    {
      html: '<h4>How to Use</h4><p>When you submit this form, one of the "Save Submission" actions will submit the form as normal and one will transform the submission data and submit it to the "Monthly High Earners" resource.</p>',
      label: "Content",
      refreshOnChange: true,
      key: "content",
      type: "content",
      input: false,
      tableView: false,
    },
    {
      label: "Sales By Salesperson",
      reorder: false,
      addAnotherPosition: "bottom",
      layoutFixed: false,
      enableRowGroups: false,
      initEmpty: false,
      tableView: false,
      defaultValue: [{}],
      key: "salesBySalesperson",
      type: "datagrid",
      input: true,
      components: [
        {
          label: "Name",
          applyMaskOn: "change",
          tableView: true,
          key: "name",
          type: "textfield",
          input: true,
        },
        {
          label: "Sales",
          applyMaskOn: "change",
          mask: false,
          spellcheck: true,
          tableView: false,
          currency: "USD",
          inputFormat: "plain",
          truncateMultipleSpaces: false,
          key: "sales",
          type: "currency",
          input: true,
          delimiter: true,
        },
      ],
    },
    {
      label: "Submit",
      showValidations: false,
      tableView: false,
      key: "submit",
      type: "button",
      input: true,
      saveOnEnter: false,
    },
  ],
};
