module.exports = {
  formJson: {
    _id: "67780114abcd1234ef567890",
    title: "Data Components Form",
    name: "dataComponentsForm",
    path: "dataComponentsForm",
    type: "form",
    access: [],
    submissionAccess: [],
    components: [
      {
        label: "Container",
        tableView: false,
        validateWhenHidden: false,
        key: "container",
        type: "container",
        input: true,
        components: [
          {
            label: "Text Field",
            applyMaskOn: "change",
            tableView: true,
            validateWhenHidden: false,
            key: "textField",
            type: "textfield",
            input: true,
          },
          {
            label: "Container",
            tableView: false,
            validateWhenHidden: false,
            key: "container1",
            type: "container",
            input: true,
            components: [
              {
                label: "Number",
                applyMaskOn: "change",
                mask: false,
                tableView: false,
                delimiter: false,
                requireDecimal: false,
                inputFormat: "plain",
                truncateMultipleSpaces: false,
                validateWhenHidden: false,
                key: "number",
                type: "number",
                input: true,
              },
            ],
          },
        ],
      },
      {
        label: "Data Map",
        tableView: false,
        validateWhenHidden: false,
        key: "dataMap",
        type: "datamap",
        input: true,
        valueComponent: {
          type: "textfield",
          key: "value",
          label: "Value",
          input: true,
          hideLabel: true,
          tableView: true,
        },
      },
      {
        label: "Edit Grid",
        tableView: false,
        validateWhenHidden: false,
        rowDrafts: false,
        key: "editGrid",
        type: "editgrid",
        displayAsTable: false,
        input: true,
        components: [
          {
            label: "Text Field",
            applyMaskOn: "change",
            tableView: true,
            validateWhenHidden: false,
            key: "textField",
            type: "textfield",
            input: true,
          },
          {
            label: "Edit Grid",
            tableView: false,
            validateWhenHidden: false,
            rowDrafts: false,
            key: "editGrid1",
            type: "editgrid",
            displayAsTable: false,
            input: true,
            components: [
              {
                label: "Number",
                applyMaskOn: "change",
                mask: false,
                tableView: false,
                delimiter: false,
                requireDecimal: false,
                inputFormat: "plain",
                truncateMultipleSpaces: false,
                validateWhenHidden: false,
                key: "number",
                type: "number",
                input: true,
              },
            ],
          },
        ],
      },
      {
        label: "Data Grid",
        reorder: false,
        addAnotherPosition: "bottom",
        layoutFixed: false,
        enableRowGroups: false,
        initEmpty: false,
        tableView: false,
        defaultValue: [{}],
        validateWhenHidden: false,
        key: "dataGrid",
        type: "datagrid",
        input: true,
        components: [
          {
            label: "Text Area",
            applyMaskOn: "change",
            autoExpand: false,
            tableView: true,
            validateWhenHidden: false,
            key: "textArea",
            type: "textarea",
            input: true,
          },
          {
            label: "Text Field",
            applyMaskOn: "change",
            tableView: true,
            validateWhenHidden: false,
            key: "textField",
            type: "textfield",
            input: true,
          },
        ],
      },
    ],
  },
  submissionJson: {
    noValidate: true,
    data: {
      container: {
        textField: "123",
        container1: {
          number: 234,
        },
      },
      dataMap: {
        key: "o",
        key1: "t",
        key2: "r",
      },
      editGrid: [
        {
          textField: "222",
          editGrid1: [
            {
              number: 33,
            },
          ],
        },
        {
          textField: "444",
          editGrid1: [
            {
              number: 20,
            },
          ],
        },
      ],
      dataGrid: [
        {
          textArea: "ooo",
          textField: "1243",
        },
        {
          textArea: "aaaa",
          textField: "2344",
        },
      ],
      submit: true,
    },
    state: "submitted",
  },
};
